/**
 * Scripts within the customizer controls window.
 *
 */

jQuery( document ).ready(function($) {
    //Chosen JS
    $(".magazine-palace-chosen-select").chosen({
        width: "100%"
    });

    // icon picker
    $('.magazine_palace-pro-icon-picker').each( function() {
        $(this).iconpicker( '#' + this.id );
    } );

    //Switch Control
    $('body').on('click', '.onoffswitch', function(){
        var $this = $(this);
        if($this.hasClass('switch-on')){
            $(this).removeClass('switch-on');
            $this.next('input').val( false ).trigger('change')
        }else{
            $(this).addClass('switch-on');
            $this.next('input').val( true ).trigger('change')
        }
    });


    $( document ).on( 'click', '.customize_multi_add_field', magazine_palace_customize_multi_add_field )
        .on( 'change', '.customize_multi_single_field', magazine_palace_customize_multi_single_field )
        .on( 'click', '.customize_multi_remove_field', magazine_palace_customize_multi_remove_field )



        /********* Multi Input Custom control ***********/
    $( '.customize_multi_input' ).each(function() {
        var $this = $( this );
        var multi_saved_value = $this.find( '.customize_multi_value_field' ).val();
        if (multi_saved_value.length > 0) {
            var multi_saved_values = multi_saved_value.split( "|" );
            $this.find( '.customize_multi_fields' ).empty();
            $.each(multi_saved_values, function( index, value ) {
                $this.find( '.customize_multi_fields' ).append( '<div class="set"><input type="text" value="' + value + '" class="customize_multi_single_field" /><span class="customize_multi_remove_field"><span class="dashicons dashicons-no-alt"></span></span></div>' );
            });
        }
    });

    function magazine_palace_customize_multi_add_field(e) {
        var $this = $( e.currentTarget );
        e.preventDefault();
        if ( ! $this.data( 'lockedAt' ) || + new Date() - $this.data( 'lockedAt' ) > 300 ) {
            var $control = $this.parents( '.customize_multi_input' );
            $control.find( '.customize_multi_fields' ).append( '<div class="set"><input type="text" value="" class="customize_multi_single_field" /><span class="customize_multi_remove_field"><span class="dashicons dashicons-no-alt"></span></span></div>' );
            magazine_palace_customize_multi_write( $control );
        }
        $this.data( 'lockedAt', + new Date() );
    }

    function magazine_palace_customize_multi_single_field() {
        var $control = $( this ).parents( '.customize_multi_input' );
        magazine_palace_customize_multi_write( $control );
    }

    function magazine_palace_customize_multi_remove_field(e) {
        e.preventDefault();
        var $this = $( this );
        var $control = $this.parents( '.customize_multi_input' );
        $this.parent().remove();
        magazine_palace_customize_multi_write( $control );
    }

    function magazine_palace_customize_multi_write( $element) {
        var customize_multi_val = '';
        $element.find( '.customize_multi_fields .customize_multi_single_field' ).each(function() {
            customize_multi_val += $( this ).val() + '|';
        });
        $element.find( '.customize_multi_value_field' ).val( customize_multi_val.slice( 0, -1 ) ).change();
    }

    $('body').prepend('<div id="topbar-template-list-wrapper"><div class="icons-list"><ul><li><img class="topbar-one" src="' + theme_url.url + '/assets/images/topbar-one.png" alt="topbar-template-1"></li><li><img class="topbar-two" src="' + theme_url.url + '/assets/images/topbar-two.png" alt="topbar-template-2"></li></ul><div class="action-buttons"><button class="save-icon">Save</button><button class="close-button">Close</button></div></div></div>');

    var topbar_list;

    $('li[id^="customize-control-magazine_palace_theme_options-topbar_design"]').click(function() {
        $('li[id^="customize-control-magazine_palace_theme_options-topbar_design"]').removeClass('active');
        $(this).addClass('active');
        $('#topbar-template-list-wrapper').addClass('active');
    });

    $('#topbar-template-list-wrapper li').click(function() {
        topbar_list = $(this).find('img').attr('class');
        $('#topbar-template-list-wrapper li').removeClass('active');
        $(this).addClass('active');
    });

    $('#topbar-template-list-wrapper .save-icon').click(function() {
        $('#topbar-template-list-wrapper').removeClass('active');
        $('li[id^="customize-control-magazine_palace_theme_options-topbar_design"].active input').val(topbar_list).change();
    });

    $('#topbar-template-list-wrapper .close-button').click(function() {
        $('#topbar-template-list-wrapper').removeClass('active');
        $('#topbar-template-list-wrapper li').removeClass('active');
        $('li[id^="customize-control-magazine_palace_theme_options-topbar_design"]').removeClass('active');
    });

    $(document).click(function (e) {
        var container = $('.icons-list, li[id^="customize-control-magazine_palace_theme_options-topbar_design"] input');
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('#topbar-template-list-wrapper').removeClass('active');
            $('#topbar-template-list-wrapper li').removeClass('active');
            $('li[id^="customize-control-magazine_palace_theme_options-topbar_design"]').removeClass('active');
        }
    });

    $(document).keyup(function(e) {
        if (e.keyCode === 27) {
            $('#topbar-template-list-wrapper').removeClass('active');
            $('#topbar-template-list-wrapper li').removeClass('active');
            $('li[id^="customize-control-magazine_palace_theme_options-topbar_design"]').removeClass('active');
        }
    });     

    $('body').prepend('<div id="header-template-list-wrapper"><div class="icons-list"><ul><li><img class="header-one" src="' + theme_url.url + '/assets/images/header-one.png" alt="header-template-1"></li><li><img class="header-two" src="' + theme_url.url + '/assets/images/header-two.png" alt="header-template-2"></li><li><img class="header-three" src="' + theme_url.url + '/assets/images/header-three.png" alt="header-template-3"></li></ul><div class="action-buttons"><button class="save-icon">Save</button><button class="close-button">Close</button></div></div></div>');

    var header_list;

    $('li[id^="customize-control-magazine_palace_theme_options-header_design"]').click(function() {
        $('li[id^="customize-control-magazine_palace_theme_options-header_design"]').removeClass('active');
        $(this).addClass('active');
        $('#header-template-list-wrapper').addClass('active');
    });

    $('#header-template-list-wrapper li').click(function() {
        header_list = $(this).find('img').attr('class');
        $('#header-template-list-wrapper li').removeClass('active');
        $(this).addClass('active');
    });

    $('#header-template-list-wrapper .save-icon').click(function() {
        $('#header-template-list-wrapper').removeClass('active');
        $('li[id^="customize-control-magazine_palace_theme_options-header_design"].active input').val(header_list).change();
    });

    $('#header-template-list-wrapper .close-button').click(function() {
        $('#header-template-list-wrapper').removeClass('active');
        $('#header-template-list-wrapper li').removeClass('active');
        $('li[id^="customize-control-magazine_palace_theme_options-header_design"]').removeClass('active');
    });

    $(document).click(function (e) {
        var container = $('.icons-list, li[id^="customize-control-magazine_palace_theme_options-header_design"] input');
        if (!container.is(e.target) && container.has(e.target).length === 0) {
            $('#header-template-list-wrapper').removeClass('active');
            $('#header-template-list-wrapper li').removeClass('active');
            $('li[id^="customize-control-magazine_palace_theme_options-header_design"]').removeClass('active');
        }
    });

    $(document).keyup(function(e) {
        if (e.keyCode === 27) {
            $('#header-template-list-wrapper').removeClass('active');
            $('#header-template-list-wrapper li').removeClass('active');
            $('li[id^="customize-control-magazine_palace_theme_options-header_design"]').removeClass('active');
        }
    });   
});
    
jQuery(document).ready(function($) {
    // Sortable sections
    jQuery( 'ul.magazine-palace-sortable-list' ).sortable({
        handle: '.magazine-palace-drag-handle',
        axis: 'y',
        update: function( e, ui ){
            jQuery('input.magazine-palace-sortable-input').trigger( 'change' );
        }
    });

    /* On changing the value. */
    jQuery( "body" ).on( 'change', 'input.magazine-palace-sortable-input', function() {
        /* Get the value, and convert to string. */
        this_checkboxes_values = jQuery( this ).parents( 'ul.magazine-palace-sortable-list' ).find( 'input.magazine-palace-sortable-input' ).map( function() {
            return this.value;
        }).get().join( ',' );

        /* Add the value to hidden input. */
        jQuery( this ).parents( 'ul.magazine-palace-sortable-list' ).find( 'input.magazine-palace-sortable-value' ).val( this_checkboxes_values ).trigger( 'change' );

    });
});

/**
 * Add a listener to update other controls to new values/defaults.
 */

( function( api ) {

    const  magazine_palace_section_lists = ['post_grid_section','banner_post_section','sport_post_section','featured_Slider_section','three_col_slider_section','two_col_section','latest_post_section','main_slider_section','tag_section','breakingnews_section','slider_news_section','two_section_section','multi_post_section','post_carousel_section','have_missed_section','featured_post_section','main_slider_section','featured_category_section','blog_slider_section','instagram_section'];
    magazine_palace_section_lists.forEach( magazine_palace_homepage_scroll );

    function magazine_palace_homepage_scroll(item, index) {
         // Detect when the front page sections section is expanded (or closed) so we can adjust the preview accordingly.
        wp.customize.section( 'magazine_palace_'+item, function( section ) {
            section.expanded.bind( function( isExpanding ) {
                console.log( isExpanding );
                // Value of isExpanding will = true if you're entering the section, false if you're leaving it.
                wp.customize.previewer.send( item, { expanded: isExpanding });
            } );
        } );
    }

    // Only show the color hue control when there's a custom color scheme.
    wp.customize( 'magazine_palace_theme_options[colorscheme]', function( setting ) {
        wp.customize.control( 'magazine_palace_theme_options[colorscheme_hue]', function( control ) {
            var visibility = function() {
                if ( 'custom' === setting.get() ) {
                    control.container.slideDown( 180 );
                } else {
                    control.container.slideUp( 180 );
                }
            };

            visibility();
            setting.bind( visibility );
        });
    });

    wp.customize( 'magazine_palace_theme_options[reset_options]', function( setting ) {
        setting.bind( function( value ) {
            var code = 'needs_refresh';
            if ( value ) {
                setting.notifications.add( code, new wp.customize.Notification(
                    code,
                    {
                        type: 'info',
                        message: magazine_palace_reset_data.reset_message
                    }
                ) );
            } else {
                setting.notifications.remove( code );
            }
        } );
    } );

    // Deep linking for menus
    wp.customize.bind('ready', function() {
        jQuery('a.topbar-menu-trigger').click(function(e) {
            e.preventDefault();
            wp.customize.section( 'menu_locations' ).focus()
        });

        jQuery('.magazine-palace-edit').click(function(e) {
            e.preventDefault();
            var jump_to = jQuery(this).attr( 'data-jump' );
            wp.customize.section( jump_to ).focus()
        });
    });
} )( wp.customize );