<?php
/**
* Have Missed Section options
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

// Add Have Missed section
$wp_customize->add_section( 'magazine_palace_have_missed_section', array(
	'title'             => esc_html__( 'Have Missed','magazine-palace' ),
	'description'       => esc_html__( 'Have Missed Section options.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_front_page_panel',
	) );

// Have Missed content enable control and setting
$wp_customize->add_setting( 'magazine_palace_theme_options[have_missed_section_enable]', array(
	'default'			=> 	$options['have_missed_section_enable'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
	) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[have_missed_section_enable]', array(
	'label'             => esc_html__( 'Have Missed Section Enable', 'magazine-palace' ),
	'section'           => 'magazine_palace_have_missed_section',
	'on_off_label' 		=> magazine_palace_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'magazine_palace_theme_options[have_missed_section_enable]',
        array(
            'selector'            => '#magazine_palace_have_missed_section .tooltiptext',
            'settings'            => 'magazine_palace_theme_options[have_missed_section_enable]',
        )
    );
}

$wp_customize->add_setting( 
    'magazine_palace_theme_options_have_missed_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_have_missed_setting_style',
        array(
            'section'       => 'magazine_palace_have_missed_section',
            'active_callback' 	=> 'magazine_palace_is_have_missed_section_enable',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_have_missed_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_have_missed_section_style',
                ),
            ),
        )
    )
);


// have_missed title setting and control
$wp_customize->add_setting( 'magazine_palace_theme_options[have_missed_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['have_missed_title'],
	'transport'			=> 'postMessage',
	) );

$wp_customize->add_control( 'magazine_palace_theme_options[have_missed_title]', array(
	'label'           	=> esc_html__( 'Title', 'magazine-palace' ),
	'section'        	=> 'magazine_palace_have_missed_section',
	'active_callback' 	=> 'magazine_palace_is_have_missed_section_enable',
	'type'				=> 'text',
	) );



for ( $i = 1; $i <= 4; $i++ ) :


// have_missed posts drop down chooser control and setting
$wp_customize->add_setting( 'magazine_palace_theme_options[have_missed_content_post_' . $i . ']', array(
	'sanitize_callback' => 'magazine_palace_sanitize_page',
	) );

$wp_customize->add_control( new Magazine_palace_Dropdown_Chooser( $wp_customize, 'magazine_palace_theme_options[have_missed_content_post_' . $i . ']', array(
	'label'             => sprintf( esc_html__( 'Select Post %d', 'magazine-palace' ), $i ),
	'section'           => 'magazine_palace_have_missed_section',
	'choices'			=> magazine_palace_post_choices(),
	'active_callback'	=> 'magazine_palace_is_have_missed_section_enable',
	) ) );
endfor;

