<?php
/**
* Banner Post Section options
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

// Add Banner Post section
$wp_customize->add_section( 'magazine_palace_banner_post_section_style', array(
	'title'             => esc_html__( 'Banner Post Style','magazine-palace' ),
	'description'       => esc_html__( 'Banner Post Style Section options.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_front_page_panel',
	) );

$wp_customize->add_setting( 
    'magazine_palace_theme_options_banner_post_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_banner_post_setting_style_style',
        array(
            'section'       => 'magazine_palace_banner_post_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_banner_post_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_banner_post_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_theme_options[banner_post_container_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[banner_post_container_color]', array(
    'label'    => esc_html( 'Container Background Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_banner_post_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[banner_post_section_title_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[banner_post_section_title_bg_color]', array(
    'label'    => esc_html( 'Section Title Background Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_banner_post_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[banner_post_section_title_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[banner_post_section_title_color]', array(
    'label'    => esc_html( 'Section Title Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_banner_post_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[banner_post_top_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[banner_post_top_padding]', array(
    'label'             => esc_html__( 'Section Top Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_banner_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[banner_post_bottom_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[banner_post_bottom_padding]', array(
    'label'             => esc_html__( 'Section Bottom Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_banner_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[banner_post_left_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[banner_post_left_padding]', array(
    'label'             => esc_html__( 'Section Left Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_banner_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[banner_post_right_padding]', array(
    'sanitize_callback' => 'magazine_palace_sanitize_number_range',
    'transport'         => 'postMessage'
    ) );

$wp_customize->add_control( 'magazine_palace_theme_options[banner_post_right_padding]', array(
    'label'             => esc_html__( 'Section Right Padding', 'magazine-palace' ),
    'description'       => esc_html__( 'Note: Min 1 & Max 100.', 'magazine-palace' ),
    'section'           => 'magazine_palace_banner_post_section_style',
    'type'              => 'number',
    'input_attrs'       => array(
        'min'   => 1,
        'max'   => 100,
        'style' => 'width: 100px;'
        ),
    ) );

