<?php
/**
* Breakingnews Section options
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

// Add Breakingnews section
$wp_customize->add_section( 'magazine_palace_breakingnews_section_style', array(
	'title'             => esc_html__( 'Breakingnews Style','magazine-palace' ),
	'description'       => esc_html__( 'Breakingnews Style Section options.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_front_page_panel',
	) );

$wp_customize->add_setting( 
    'magazine_palace_theme_options_breakingnews_setting_style_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_breakingnews_setting_style_style',
        array(
            'section'       => 'magazine_palace_breakingnews_section_style',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_breakingnews_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_breakingnews_section_style',
                ),
            ),
        )
    )
);

$wp_customize->add_setting( 'magazine_palace_theme_options[breakingnews_label_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[breakingnews_label_bg_color]', array(
    'label'    => esc_html( 'Breakingnews Label Background Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_breakingnews_section_style',
) ) );



$wp_customize->add_setting( 'magazine_palace_theme_options[breakingnews_label_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color',
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[breakingnews_label_text_color]', array(
    'label'    => esc_html( 'Breakingnews Label Text Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_breakingnews_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[breakingnews_row_bg_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[breakingnews_row_bg_color]', array(
    'label'    => esc_html( 'breakingnews Row Background Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_breakingnews_section_style',
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[breakingnews_text_color]', array(
    'sanitize_callback' => 'sanitize_hex_color', 
    'transport'         => 'postMessage'
) );


$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'magazine_palace_theme_options[breakingnews_text_color]', array(
    'label'    => esc_html( 'Breakingnews Text Color', 'magazine-palace' ),
    'section'  => 'magazine_palace_breakingnews_section_style',
) ) );

