<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'magazine_palace_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','magazine-palace' ),
	'description'       => esc_html__( 'Archive section options.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_theme_options_panel',
) );

$wp_customize->add_setting( 
    'magazine_palace_theme_options_archive_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_archive_setting_style',
        array(
            'section'       => 'magazine_palace_archive_section',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_archive_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_archive_section_style',
                ),
            ),
        )
    )
);

// Your latest posts title setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'magazine_palace_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'magazine-palace' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'magazine-palace' ),
	'section'           => 'magazine_palace_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'magazine_palace_is_latest_posts'
) );

// Archive category setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'magazine-palace' ),
	'section'           => 'magazine_palace_archive_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );

// Archive date setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'magazine-palace' ),
	'section'           => 'magazine_palace_archive_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );

// Archive author setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[hide_author]', array(
	'default'           => $options['hide_author'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'magazine-palace' ),
	'section'           => 'magazine_palace_archive_section',
	'on_off_label' 		=> magazine_palace_hide_options(),
) ) );