<?php
/**
* header Section options
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

// Add header section
$wp_customize->add_section( 'magazine_palace_header_section', array(
	'title'             => esc_html__( 'Header','magazine-palace' ),
	'description'       => esc_html__( 'Header Section options.', 'magazine-palace' ),
	'panel'             => 'magazine_palace_theme_options_panel',
) );

$wp_customize->add_setting( 
    'magazine_palace_theme_options_header_setting_style',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control( 
    new Magazine_palace_Customize_Control_Section_Style( 
    $wp_customize,
    'magazine_palace_theme_options_header_setting_style',
        array(
            'section'       => 'magazine_palace_header_section',
            'choices'  => array(

                'setting'    => array(
                    'name' => esc_html__( 'Setting', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_header_section',
                ),
                
                'style'    => array(
                    'name' => esc_html__( 'Style', 'magazine-palace' ),
                    'section_id' => 'magazine_palace_header_section_style',
                ),
            ),
        )
    )
);


$wp_customize->add_setting( 'magazine_palace_theme_options[header_wrapper_enable]', array(
	'default'			=> 	$options['header_wrapper_enable'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[header_wrapper_enable]', array(
	'label'             => esc_html__( 'Header Wrapper Enable', 'magazine-palace' ),
	'section'           => 'magazine_palace_header_section',
	'on_off_label' 		=> magazine_palace_switch_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[header_home_icon_enable]', array(
	'default'			=> 	$options['header_home_icon_enable'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
	'transport'		=> 'postMessage'
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[header_home_icon_enable]', array(
	'label'             => esc_html__( 'Home Icon Enable', 'magazine-palace' ),
	'section'           => 'magazine_palace_header_section',
	'on_off_label' 		=> magazine_palace_switch_options(),
) ) );

$wp_customize->add_setting( 'magazine_palace_theme_options[header_search_enable]', array(
	'default'			=> 	$options['header_search_enable'],
	'sanitize_callback' => 'magazine_palace_sanitize_switch_control',
	'transport'		=> 'postMessage'
) );

$wp_customize->add_control( new Magazine_palace_Switch_Control( $wp_customize, 'magazine_palace_theme_options[header_search_enable]', array(
	'label'             => esc_html__( 'Search Form Enable', 'magazine-palace' ),
	'section'           => 'magazine_palace_header_section',
	'on_off_label' 		=> magazine_palace_switch_options(),
) ) );


$wp_customize->add_setting('magazine_palace_theme_options[header_bg_image]',
	array(
		'sanitize_callback' => 'magazine_palace_sanitize_image',
		'transport'		=> 'postMessage'
	)
);

$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,
	'magazine_palace_theme_options[header_bg_image]',
		array(
			'section'			=> 'magazine_palace_header_section',
			'label'				=> esc_html__( 'Header Bg Image ', 'magazine-palace' ),
		)
	)
);

        
// About image setting
$wp_customize->add_setting('magazine_palace_theme_options[header_ads_image_2]',
	array(
		'sanitize_callback' => 'magazine_palace_sanitize_image',
	)
);

$wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,
	'magazine_palace_theme_options[header_ads_image_2]',
		array(
			'section'			=> 'magazine_palace_header_section',
			'label'				=> esc_html__( 'Image', 'magazine-palace' ),
		)
	)
);

        
$wp_customize->add_setting( 'magazine_palace_theme_options[header_ads_url_2]',
    array(
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control( 'magazine_palace_theme_options[header_ads_url_2]',
    array(
		'label'             => esc_html__( 'Ads URL', 'magazine-palace'),
        'section'        	=> 'magazine_palace_header_section',
        'type'				=> 'url',
    ) 
);


