<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Magazine Palace
 * @since Magazine Palace 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'magazine_palace_layout', array(
	'title'               => esc_html__('Layout','magazine-palace'),
	'description'         => esc_html__( 'Layout section options.', 'magazine-palace' ),
	'panel'               => 'magazine_palace_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[site_layout]', array(
	'sanitize_callback'   => 'magazine_palace_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Magazine_palace_Custom_Radio_Image_Control ( $wp_customize, 'magazine_palace_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'magazine-palace' ),
	'section'             => 'magazine_palace_layout',
	'choices'			  => magazine_palace_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'magazine_palace_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Magazine_palace_Custom_Radio_Image_Control ( $wp_customize, 'magazine_palace_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'magazine-palace' ),
	'section'             => 'magazine_palace_layout',
	'choices'			  => magazine_palace_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'magazine_palace_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Magazine_palace_Custom_Radio_Image_Control ( $wp_customize, 'magazine_palace_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'magazine-palace' ),
	'section'             => 'magazine_palace_layout',
	'choices'			  => magazine_palace_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'magazine_palace_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'magazine_palace_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Magazine_palace_Custom_Radio_Image_Control( $wp_customize, 'magazine_palace_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'magazine-palace' ),
	'section'             => 'magazine_palace_layout',
	'choices'			  => magazine_palace_sidebar_position(),
) ) );