<?php
/**
* Two Col section
*
* This is the template for the content of two_col_section
*
* @package Theme Palace
* @subpackage Magazine Palace
* @since Magazine Palace 1.0.0
*/

$options = magazine_palace_get_theme_options();

if( $options['two_col_section_enable'] !== false ):

$content_details = array();

$post_ids = array();

for ( $i = 1; $i <= 4; $i++ ) {
    if ( ! empty( $options['two_col_content_post_' . $i] ) )
        $post_ids[] = $options['two_col_content_post_' . $i];
}

$args = array(
    'post_type'         => 'post',
    'post__in'          => ( array ) $post_ids,
    'posts_per_page'    => 4,
    'orderby'           => 'post__in',
    'ignore_sticky_posts'   => true,
    );                    
   
// Run The Loop.
$query = new WP_Query( $args );
if ( $query->have_posts() ) : 
    while ( $query->have_posts() ) : $query->the_post();
$page_post['id']        = get_the_id();
$page_post['title']     = get_the_title();
$page_post['auth_id']   = get_the_author_meta('ID');
$page_post['url']       = get_the_permalink();
$page_post['excerpt']   = get_the_content();
$page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'post-thumbnail' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-590x650.jpg';

// Push to the main array.
array_push( $content_details, $page_post );
endwhile;
endif;
wp_reset_postdata();
?>

<div id="magazine_palace_two_col_section" class="relative home-section two-col">
    <?php if ( is_customize_preview()):
        magazine_palace_section_tooltip( 'two-col-class' );
    endif; ?>
    <?php if ( ! empty( $options['two_col_title'] ) ) : ?>
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( $options['two_col_title'] ); ?></h2>
        </div><!-- .section-header -->
    <?php endif; ?>
    <div class="section-content col-2">
        <?php foreach ( $content_details as $content ) : ?>
            <article>
                <div class="magazine_palace_two_col_section-wrapper">
                    <div class="featured-image">
                        <img src="<?php echo esc_url( $content['image'] ); ?>">
                    </div>
                   

                    <div class="entry-container">
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                        </header>
                        <div class="entry-meta">
                            <?php magazine_palace_posted_on( $content['id'] ); ?>
                            <span class="min-read">5 min read</span>
                        </div>
                    </div>
                </div>
            </article>
        <?php endforeach; ?>            
    </div>
</div>
<?php endif; ?>

